Provided by: debhelper_8.9.0ubuntu1_all bug

NOM

       dh_python - determine les dependances Python et ajoute des scripts de
       maintenance Python postinst et prerm (obsolete)

SYNOPSIS

       dh_python [optionsdedebhelper] [-n] [-V version]
       [r'epertoiresdemodule...]

DESCRIPTION

       Notez bien que ce programme est obsolete. Il faut utiliser dh_pysupport
       ou dh_pycentral a la place. Ce programme ne fera rien si le champ
       debian/pycompat ou Python-Version existe dans le fichier control.

       dh_python est le programme de la suite debhelper charge de produire les
       substitutions ${python:Depends} et de les ajouter aux fichiers des
       variables de substitution (substvars files). Il ajoutera egalement, si
       necessaire, les scripts de maintenance postinst et prerm.

       Le programme examinera les scripts et les modules Python du paquet et
       exploitera cette information pour produire une dependance envers la
       version majeure courante de python ou envers pythonX.Y si les scripts
       ou les modules necessitent une version particuliere. La substitution
       aura lieu dans le fichier control du paquet, a l'emplacement ou est
       indique ${python:Depends}.

       Si certains modules doivent etre compiles (byte-compiled) lors de
       l'installation, les scripts adequats de maintenance du paquet, postinst
       et prerm, seront produits. Si des modules deja compiles sont trouves,
       ils sont supprimes.

       Si ce programme est utilise, le paquet devrait dependre de python pour
       sa construction (build-depend).

OPTIONS

       module r'epertoires
           Si le paquet installe les modules Python dans un repertoire non
           standard, il est possible de forcer dh_python a verifier ces
           repertoires en passant leur nom en argument de la ligne de
           commande. Par defaut il verifiera /usr/lib/site-python,
           /usr/lib/$PACKAGE, /usr/share/$PACKAGE, /usr/lib/games/$PACKAGE,
           /usr/share/games/$PACKAGE et /usr/lib/python?.?/site-packages.

           Nota: les modules binaires (.so) ne seront cherches que dans
           /usr/lib/site-python, /usr/lib/python?.?/site-packages et dans les
           repertoires passes en argument sur la ligne de commande.

       -V version
           Si le fichier .py indique que le paquet est cense etre exploite par
           une version specifique pythonX.Y>, il est possible d'employer cette
           option pour indiquer la version desiree, telle que 2.3. Ne pas
           utiliser cette option si les modules sont places dans
           /usr/lib/site-python.

       -n, --noscripts
           Empeche la modification des scripts de maintenance du paquet
           postinst et prerm.

CONFORMIT'E

       Charte Debian, version 3.5.7

       Charte Python, version 0.3.7

VOIR AUSSI

       debhelper(7)

       Ce programme fait partie de debhelper.

AUTEUR

       Josselin Mouette <joss@debian.org>

       La plupart des idees ont ete volees a Brendan O'Dea <bod@debian.org>

TRADUCTION

       Valery Perrin <valery.perrin.debian@free.fr> le 17 septembre 2005.
       Derniere mise a jour le 3 avril 2011.

       L'equipe de traduction a fait le maximum pour realiser une adaptation
       francaise de qualite.

       Cette traduction est geree dynamiquement par po4a. Certains paragraphes
       peuvent, eventuellement, apparaitre en anglais. Ils correspondent a des
       modifications ou des ajouts recents du mainteneur, non encore
       incorpores dans la traduction francaise.

       La version originale anglaise de ce document est toujours consultable
       via la commande  man-Lennom_du_man.

       N'hesitez pas a signaler a l'auteur ou au traducteur, selon le cas,
       toute erreur dans cette page de manuel.